> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 組織のセキュリティプロファイル設定を更新

> 組織のデフォルトのセキュリティプロファイルの選択設定を更新します。
省略されたフィールドは変更されません。固定するプロファイルには、org-ownedのプロファイル、または
その組織が属するエンタープライズの共有プロファイルを指定できます。

組織のデフォルトのセキュリティプロファイルの選択項目を更新し、更新後の設定を返します。

## 権限

組織レベルで `ManageSecureModeProfiles` 権限を持つ[サービスユーザー](https://docs.devinenterprise.com/ja/api-reference/v3/service-users/members-service-users.md)または[個人用アクセストークン](https://docs.devinenterprise.com/ja/api-reference/personal-access-tokens.md)が必要です。実行中の Devin セッションが利用するトークンは拒否されるため、セッションが自身に適用されるプロファイルを変更することはできません。

## 動作

* 省略したフィールドは変更されません。`null` は拒否されます。デフォルトをクリアするには、`inherit` を設定してください (例：`{"default": {"selection": "inherit"}}` または `{"automations_default": {"selection": "inherit"}}`) 。
* `profile_id` は、`selection` が `profile` の場合は必須で、それ以外の場合は省略する必要があります。固定するプロファイルには、org-owned のプロファイル、またはエンタープライズの共有プロファイルのいずれかを指定できます。
* 実行中のセッションには、次回の起動時または復帰時に変更が反映されます。


## OpenAPI

````yaml ja/v3-openapi.yaml PATCH /v3beta1/organizations/{org_id}/security-profile-settings
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/organizations/{org_id}/security-profile-settings:
    patch:
      tags:
        - security-profiles
      summary: 組織のセキュリティプロファイル設定を更新
      description: |-
        組織のデフォルトのセキュリティプロファイルの選択設定を更新します。
        省略されたフィールドは変更されません。固定するプロファイルには、org-ownedのプロファイル、または
        その組織が属するエンタープライズの共有プロファイルを指定できます。
      operationId: >-
        handle_update_security_profile_settings_v3beta1_organizations__org_id__security_profile_settings_patch
      parameters:
        - description: 組織ID（プレフィックス：org-）
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SecurityProfileSettingsUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityProfileSettingsResponse'
          description: 成功レスポンス
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 認証されていません
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: アクセスが禁止されています
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 見つかりません
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 競合
        '410':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 削除済み
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 処理できないコンテンツ
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: リクエスト過多
components:
  schemas:
    SecurityProfileSettingsUpdateRequest:
      additionalProperties: false
      description: PATCH の動作：省略されたフィールドは変更されません。
      properties:
        automations_default:
          anyOf:
            - $ref: '#/components/schemas/SecurityProfileDefaultSelection'
            - type: 'null'
        default:
          anyOf:
            - $ref: '#/components/schemas/SecurityProfileDefaultSelection'
            - type: 'null'
      title: SecurityProfileSettingsUpdateRequest
      type: object
    SecurityProfileSettingsResponse:
      additionalProperties: false
      properties:
        automations_default:
          $ref: '#/components/schemas/SecurityProfileDefaultState'
          description: >-
            自動化によって開始されるセッションのデフォルト設定。組織やエンタープライズのデフォルト設定より優先され、各自動化独自のバインドがある場合はそちらが優先されます。
        default:
          $ref: '#/components/schemas/SecurityProfileDefaultState'
      required:
        - default
        - automations_default
      title: SecurityProfileSettingsResponse
      type: object
    ProblemDetail:
      description: >-
        v3 API 用の RFC 9457 application/problem+json エラーボディ。


        detail は後方互換性のため、レガシーな {"detail": ...}
        ボディから引き継がれます。その他のメンバーは追加式です。errors にはフィールドレベルのバリデーションエラーが含まれます（422
        の場合のみ）。
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: この事象に固有の、人が読める説明。
          title: Detail
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          description: ブロックされた操作の拒否理由を示す機械可読コード（例："user_frozen"、"migrated_session"）。
          title: Error Code
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: フィールド単位のバリデーションエラー（422 レスポンスのみ）。
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: この発生箇所の URI 参照（リクエストパス）。
          title: Instance
        status:
          description: HTTP ステータスコード。
          title: Status
          type: integer
        title:
          description: 問題タイプを人が読める短い要約。
          title: Title
          type: string
        type:
          default: about:blank
          description: 問題タイプを識別する URI 参照。
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
    SecurityProfileDefaultSelection:
      additionalProperties: false
      description: |-
        3 つの状態を持つデフォルト設定：inherit（独自のバインドを持たず、
        上位階層のデフォルトを継承）、none（明示的なオプトアウト：上位階層に
        推奨デフォルトがあってもプロファイルを適用しない）、または profile（profile_id を固定）。

        オプトアウトしても、上位階層の必須プロファイルは回避できません。設定は
        そのまま保存されますが、必須プロファイルが存在する間は効果がありません。
      properties:
        profile_id:
          anyOf:
            - type: string
            - type: 'null'
          description: selection が 'profile' の場合は必須。それ以外の場合は省略する必要があります。
          title: Profile Id
        selection:
          enum:
            - inherit
            - none
            - profile
          title: Selection
          type: string
      required:
        - selection
      title: SecurityProfileDefaultSelection
      type: object
    SecurityProfileDefaultState:
      additionalProperties: false
      description: 保存済みのデフォルトのバインドを 1 件表示する読み取り用ビュー。
      properties:
        profile_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Id
        profile_scope:
          anyOf:
            - enum:
                - org
                - enterprise
              type: string
            - type: 'null'
          description: >-
            固定されたプロファイルを所有するスコープ。selection が 'profile'
            の場合のみ設定されます。組織のデフォルト設定では、エンタープライズで共有されているプロファイルを固定できます。
          title: Profile Scope
        selection:
          enum:
            - inherit
            - none
            - profile
          title: Selection
          type: string
      required:
        - selection
      title: SecurityProfileDefaultState
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.